> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cdn/common/describebillingregions.md).

# DescribeBillingRegions

## 1. API Description

This API (DescribeBillingRegions) is used to query billing regions.

## 2. Output Parameters

| Parameter Name | Type                                                                        | Description                                                                                              |
| -------------- | --------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| regionSet      | Array of [BillingRegion](/api-reference/cdn/datastructure.md#billingregion) | Collection of billing region information.                                                                |
| requestId      | String                                                                      | Unique request ID. Returned with every request. This request's requestId is needed when troubleshooting. |

## 3. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query billing regions.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeBillingRegions
<Common Request Params>

Request:
{
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "regionSet": [
      {
        "regionId": "OTHER",
        "regionName": "Other"
      },
      {
        "regionId": "NAEU",
        "regionName": "North America & European Union"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 4. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).
